require '_h2ph_pre.ph';

no warnings qw(redefine misc);

unless(defined(&_SIGSET_H_types)) {
    eval 'sub _SIGSET_H_types () {1;}' unless defined(&_SIGSET_H_types);
    if(defined(&__mips__)) {
	eval 'sub _SIGSET_NWORDS () {(128/ (8* $sizeof{\'unsigned long\'}));}' unless defined(&_SIGSET_NWORDS);
    } else {
	eval 'sub _SIGSET_NWORDS () {(64/ (8* $sizeof{\'unsigned long\'}));}' unless defined(&_SIGSET_NWORDS);
    }
}
if(!defined (&_SIGSET_H_fns)  && defined (&_SIGNAL_H)) {
    eval 'sub _SIGSET_H_fns () {1;}' unless defined(&_SIGSET_H_fns);
    eval 'sub __sigmask {
        my($sig) = @_;
	    eval q((( 1) << ((($sig) - 1) % (8* $sizeof{\'unsigned long\'}))));
    }' unless defined(&__sigmask);
    eval 'sub __sigword {
        my($sig) = @_;
	    eval q(((($sig) - 1) / (8* $sizeof{\'unsigned long\'})));
    }' unless defined(&__sigword);
    if(defined (&__GNUC__)  && (defined(&__GNUC__) ? &__GNUC__ : undef) >= 2) {
	eval 'sub __sigemptyset {
	    my($set) = @_;
    	    eval q(( &__extension__ ({  &sigset_t * &__set = ($set);  &if ( &_SIGSET_NWORDS <= 2) {  ($__set->{__val[0]}) = 0;  &if ( &_SIGSET_NWORDS == 2)  ($__set->{__val[1]}) = 0; }  &else { \'int\'  &__cnt =  &_SIGSET_NWORDS;  &while (-- &__cnt >= 0)  ($__set->{__val[&__cnt]}) = 0; } 0; })));
	}' unless defined(&__sigemptyset);
	eval 'sub __sigfillset {
	    my($set) = @_;
    	    eval q(( &__extension__ ({  &sigset_t * &__set = ($set);  &if ( &_SIGSET_NWORDS <= 2) {  ($__set->{__val[0]}) = ~0;  &if ( &_SIGSET_NWORDS == 2)  ($__set->{__val[1]}) = ~0; }  &else { \'int\'  &__cnt =  &_SIGSET_NWORDS;  &while (-- &__cnt >= 0)  ($__set->{__val[&__cnt]}) = ~0; } 0; })));
	}' unless defined(&__sigfillset);
	if(defined(&__USE_GNU)) {
	    eval 'sub __sigisemptyset {
	        my($set) = @_;
    		eval q(( &__extension__ ({ \'long __ret\';  &const  &sigset_t * &__set = ($set);  &if ( &_SIGSET_NWORDS == 1) {  &__ret =  ($__set->{__val[0]}); }  &else  &if ( &_SIGSET_NWORDS == 2) {  &__ret =  ($__set->{__val[0]}) |  ($__set->{__val[1]}); }  &else { \'int\'  &__cnt =  &_SIGSET_NWORDS;  &__ret =  ($__set->{__val[&}--__cnt]);  &while (! &__ret  && -- &__cnt >= 0)  &__ret =  ($__set->{__val[&__cnt]}); }  &__ret == 0; })));
	    }' unless defined(&__sigisemptyset);
	    eval 'sub __sigandset {
	        my($dest, $left, $right) = @_;
    		eval q(( &__extension__ ({  &sigset_t * &__dest = ($dest);  &const  &sigset_t * &__left = ($left);  &const  &sigset_t * &__right = ($right);  &if ( &_SIGSET_NWORDS <= 2) {  ($__dest->{__val[0]}) =  ($__left->{__val[0]}) &  ($__right->{__val[0]});  &if ( &_SIGSET_NWORDS == 2)  ($__dest->{__val[1]}) =  ($__left->{__val[1]}) &  ($__right->{__val[1]}); }  &else { \'int\'  &__cnt =  &_SIGSET_NWORDS;  &while (-- &__cnt >= 0)  ($__dest->{__val[&__cnt]}) = ( ($__left->{__val[&__cnt]})	 &  ($__right->{__val[&__cnt]})); } 0; })));
	    }' unless defined(&__sigandset);
	    eval 'sub __sigorset {
	        my($dest, $left, $right) = @_;
    		eval q(( &__extension__ ({  &sigset_t * &__dest = ($dest);  &const  &sigset_t * &__left = ($left);  &const  &sigset_t * &__right = ($right);  &if ( &_SIGSET_NWORDS <= 2) {  ($__dest->{__val[0]}) =  ($__left->{__val[0]}) |  ($__right->{__val[0]});  &if ( &_SIGSET_NWORDS == 2)  ($__dest->{__val[1]}) =  ($__left->{__val[1]}) |  ($__right->{__val[1]}); }  &else { \'int\'  &__cnt =  &_SIGSET_NWORDS;  &while (-- &__cnt >= 0)  ($__dest->{__val[&__cnt]}) = ( ($__left->{__val[&__cnt]})	 |  ($__right->{__val[&__cnt]})); } 0; })));
	    }' unless defined(&__sigorset);
	}
    }
    if(!defined (&__USE_EXTERN_INLINES) || defined (&__PROVIDE_OUT_OF_LINE_SIGSETFN)) {
    }
    if(defined(&__USE_EXTERN_INLINES)) {
	undef(&_EXTERN_INLINE) if defined(&_EXTERN_INLINE);
	if(defined(&__PROVIDE_OUT_OF_LINE_SIGSETFN)) {
	    eval 'sub _EXTERN_INLINE () {1;}' unless defined(&_EXTERN_INLINE);
	} else {
	    eval 'sub _EXTERN_INLINE () { &__always_inline;}' unless defined(&_EXTERN_INLINE);
	}
	eval 'sub __SIGSETFN {
	    my($NAME, $BODY, $CONST) = @_;
    	    eval q( &_EXTERN_INLINE \'int\' $NAME ($CONST  &__sigset_t * &__set, \'int\'  &__sig) { \'unsigned long __mask\' =  &__sigmask ( &__sig); \'unsigned __word\' =  &__sigword ( &__sig);  &return $BODY; });
	}' unless defined(&__SIGSETFN);
	undef(&__SIGSETFN) if defined(&__SIGSETFN);
    }
}
1;
