require '_h2ph_pre.ph';

no warnings qw(redefine misc);

if(!defined (&_FEATURES_H)  && !defined (&__need_uClibc_config_h)) {
    die("Never\ include\ \<bits\/uClibc_config\.h\>\ directly\;\ use\ \<features\.h\>\ instead");
}
eval 'sub __UCLIBC_MAJOR__ () {0;}' unless defined(&__UCLIBC_MAJOR__);
eval 'sub __UCLIBC_MINOR__ () {9;}' unless defined(&__UCLIBC_MINOR__);
eval 'sub __UCLIBC_SUBLEVEL__ () {33;}' unless defined(&__UCLIBC_SUBLEVEL__);
undef(&__TARGET_alpha__) if defined(&__TARGET_alpha__);
undef(&__TARGET_arm__) if defined(&__TARGET_arm__);
undef(&__TARGET_avr32__) if defined(&__TARGET_avr32__);
undef(&__TARGET_bfin__) if defined(&__TARGET_bfin__);
undef(&__TARGET_c6x__) if defined(&__TARGET_c6x__);
undef(&__TARGET_cris__) if defined(&__TARGET_cris__);
undef(&__TARGET_e1__) if defined(&__TARGET_e1__);
undef(&__TARGET_frv__) if defined(&__TARGET_frv__);
undef(&__TARGET_h8300__) if defined(&__TARGET_h8300__);
undef(&__TARGET_hppa__) if defined(&__TARGET_hppa__);
eval 'sub __TARGET_i386__ () {1;}' unless defined(&__TARGET_i386__);
undef(&__TARGET_i960__) if defined(&__TARGET_i960__);
undef(&__TARGET_ia64__) if defined(&__TARGET_ia64__);
undef(&__TARGET_m68k__) if defined(&__TARGET_m68k__);
undef(&__TARGET_microblaze__) if defined(&__TARGET_microblaze__);
undef(&__TARGET_mips__) if defined(&__TARGET_mips__);
undef(&__TARGET_nios__) if defined(&__TARGET_nios__);
undef(&__TARGET_nios2__) if defined(&__TARGET_nios2__);
undef(&__TARGET_powerpc__) if defined(&__TARGET_powerpc__);
undef(&__TARGET_sh__) if defined(&__TARGET_sh__);
undef(&__TARGET_sh64__) if defined(&__TARGET_sh64__);
undef(&__TARGET_sparc__) if defined(&__TARGET_sparc__);
undef(&__TARGET_v850__) if defined(&__TARGET_v850__);
undef(&__TARGET_vax__) if defined(&__TARGET_vax__);
undef(&__TARGET_x86_64__) if defined(&__TARGET_x86_64__);
undef(&__TARGET_xtensa__) if defined(&__TARGET_xtensa__);
eval 'sub __TARGET_ARCH__ () {"i386";}' unless defined(&__TARGET_ARCH__);
eval 'sub __FORCE_OPTIONS_FOR_ARCH__ () {1;}' unless defined(&__FORCE_OPTIONS_FOR_ARCH__);
undef(&__CONFIG_GENERIC_386__) if defined(&__CONFIG_GENERIC_386__);
undef(&__CONFIG_386__) if defined(&__CONFIG_386__);
undef(&__CONFIG_486__) if defined(&__CONFIG_486__);
undef(&__CONFIG_586__) if defined(&__CONFIG_586__);
undef(&__CONFIG_586MMX__) if defined(&__CONFIG_586MMX__);
eval 'sub __CONFIG_686__ () {1;}' unless defined(&__CONFIG_686__);
undef(&__CONFIG_PENTIUMII__) if defined(&__CONFIG_PENTIUMII__);
undef(&__CONFIG_PENTIUMIII__) if defined(&__CONFIG_PENTIUMIII__);
undef(&__CONFIG_PENTIUM4__) if defined(&__CONFIG_PENTIUM4__);
undef(&__CONFIG_K6__) if defined(&__CONFIG_K6__);
undef(&__CONFIG_K7__) if defined(&__CONFIG_K7__);
undef(&__CONFIG_ELAN__) if defined(&__CONFIG_ELAN__);
undef(&__CONFIG_CRUSOE__) if defined(&__CONFIG_CRUSOE__);
undef(&__CONFIG_WINCHIPC6__) if defined(&__CONFIG_WINCHIPC6__);
undef(&__CONFIG_WINCHIP2__) if defined(&__CONFIG_WINCHIP2__);
undef(&__CONFIG_CYRIXIII__) if defined(&__CONFIG_CYRIXIII__);
undef(&__CONFIG_NEHEMIAH__) if defined(&__CONFIG_NEHEMIAH__);
eval 'sub __TARGET_SUBARCH__ () {"i686";}' unless defined(&__TARGET_SUBARCH__);
eval 'sub __ARCH_LITTLE_ENDIAN__ () {1;}' unless defined(&__ARCH_LITTLE_ENDIAN__);
eval 'sub __ARCH_HAS_MMU__ () {1;}' unless defined(&__ARCH_HAS_MMU__);
eval 'sub __ARCH_USE_MMU__ () {1;}' unless defined(&__ARCH_USE_MMU__);
eval 'sub __UCLIBC_HAS_FLOATS__ () {1;}' unless defined(&__UCLIBC_HAS_FLOATS__);
eval 'sub __UCLIBC_HAS_FPU__ () {1;}' unless defined(&__UCLIBC_HAS_FPU__);
eval 'sub __DO_C99_MATH__ () {1;}' unless defined(&__DO_C99_MATH__);
eval 'sub __DO_XSI_MATH__ () {1;}' unless defined(&__DO_XSI_MATH__);
eval 'sub __UCLIBC_HAS_FENV__ () {1;}' unless defined(&__UCLIBC_HAS_FENV__);
eval 'sub __UCLIBC_HAS_LONG_DOUBLE_MATH__ () {1;}' unless defined(&__UCLIBC_HAS_LONG_DOUBLE_MATH__);
eval 'sub __KERNEL_HEADERS__ () {"/usr/include";}' unless defined(&__KERNEL_HEADERS__);
eval 'sub __HAVE_DOT_CONFIG__ () {1;}' unless defined(&__HAVE_DOT_CONFIG__);
eval 'sub __DOPIC__ () {1;}' unless defined(&__DOPIC__);
eval 'sub __HAVE_SHARED__ () {1;}' unless defined(&__HAVE_SHARED__);
eval 'sub __FORCE_SHAREABLE_TEXT_SEGMENTS__ () {1;}' unless defined(&__FORCE_SHAREABLE_TEXT_SEGMENTS__);
eval 'sub __LDSO_LDD_SUPPORT__ () {1;}' unless defined(&__LDSO_LDD_SUPPORT__);
eval 'sub __LDSO_CACHE_SUPPORT__ () {1;}' unless defined(&__LDSO_CACHE_SUPPORT__);
eval 'sub __LDSO_PRELOAD_ENV_SUPPORT__ () {1;}' unless defined(&__LDSO_PRELOAD_ENV_SUPPORT__);
eval 'sub __LDSO_PRELOAD_FILE_SUPPORT__ () {1;}' unless defined(&__LDSO_PRELOAD_FILE_SUPPORT__);
eval 'sub __LDSO_BASE_FILENAME__ () {"ld.so";}' unless defined(&__LDSO_BASE_FILENAME__);
eval 'sub __LDSO_STANDALONE_SUPPORT__ () {1;}' unless defined(&__LDSO_STANDALONE_SUPPORT__);
eval 'sub __LDSO_PRELINK_SUPPORT__ () {1;}' unless defined(&__LDSO_PRELINK_SUPPORT__);
eval 'sub __UCLIBC_STATIC_LDCONFIG__ () {1;}' unless defined(&__UCLIBC_STATIC_LDCONFIG__);
eval 'sub __LDSO_RUNPATH__ () {1;}' unless defined(&__LDSO_RUNPATH__);
eval 'sub __LDSO_SEARCH_INTERP_PATH__ () {1;}' unless defined(&__LDSO_SEARCH_INTERP_PATH__);
eval 'sub __LDSO_LD_LIBRARY_PATH__ () {1;}' unless defined(&__LDSO_LD_LIBRARY_PATH__);
undef(&__LDSO_NO_CLEANUP__) if defined(&__LDSO_NO_CLEANUP__);
eval 'sub __UCLIBC_CTOR_DTOR__ () {1;}' unless defined(&__UCLIBC_CTOR_DTOR__);
eval 'sub __LDSO_GNU_HASH_SUPPORT__ () {1;}' unless defined(&__LDSO_GNU_HASH_SUPPORT__);
undef(&__HAS_NO_THREADS__) if defined(&__HAS_NO_THREADS__);
undef(&__LINUXTHREADS_OLD__) if defined(&__LINUXTHREADS_OLD__);
undef(&__LINUXTHREADS_NEW__) if defined(&__LINUXTHREADS_NEW__);
eval 'sub __UCLIBC_HAS_THREADS_NATIVE__ () {1;}' unless defined(&__UCLIBC_HAS_THREADS_NATIVE__);
eval 'sub __UCLIBC_HAS_THREADS__ () {1;}' unless defined(&__UCLIBC_HAS_THREADS__);
eval 'sub __UCLIBC_HAS_TLS__ () {1;}' unless defined(&__UCLIBC_HAS_TLS__);
eval 'sub __PTHREADS_DEBUG_SUPPORT__ () {1;}' unless defined(&__PTHREADS_DEBUG_SUPPORT__);
eval 'sub __UCLIBC_HAS_SYSLOG__ () {1;}' unless defined(&__UCLIBC_HAS_SYSLOG__);
eval 'sub __UCLIBC_HAS_LFS__ () {1;}' unless defined(&__UCLIBC_HAS_LFS__);
undef(&__MALLOC__) if defined(&__MALLOC__);
undef(&__MALLOC_SIMPLE__) if defined(&__MALLOC_SIMPLE__);
eval 'sub __MALLOC_STANDARD__ () {1;}' unless defined(&__MALLOC_STANDARD__);
eval 'sub __MALLOC_GLIBC_COMPAT__ () {1;}' unless defined(&__MALLOC_GLIBC_COMPAT__);
eval 'sub __UCLIBC_DYNAMIC_ATEXIT__ () {1;}' unless defined(&__UCLIBC_DYNAMIC_ATEXIT__);
eval 'sub __COMPAT_ATEXIT__ () {1;}' unless defined(&__COMPAT_ATEXIT__);
eval 'sub __UCLIBC_SUSV3_LEGACY__ () {1;}' unless defined(&__UCLIBC_SUSV3_LEGACY__);
eval 'sub __UCLIBC_SUSV3_LEGACY_MACROS__ () {1;}' unless defined(&__UCLIBC_SUSV3_LEGACY_MACROS__);
eval 'sub __UCLIBC_SUSV4_LEGACY__ () {1;}' unless defined(&__UCLIBC_SUSV4_LEGACY__);
undef(&__UCLIBC_STRICT_HEADERS__) if defined(&__UCLIBC_STRICT_HEADERS__);
eval 'sub __UCLIBC_HAS_STUBS__ () {1;}' unless defined(&__UCLIBC_HAS_STUBS__);
eval 'sub __UCLIBC_HAS_SHADOW__ () {1;}' unless defined(&__UCLIBC_HAS_SHADOW__);
eval 'sub __UCLIBC_HAS_PROGRAM_INVOCATION_NAME__ () {1;}' unless defined(&__UCLIBC_HAS_PROGRAM_INVOCATION_NAME__);
eval 'sub __UCLIBC_HAS___PROGNAME__ () {1;}' unless defined(&__UCLIBC_HAS___PROGNAME__);
eval 'sub __UCLIBC_HAS_PTY__ () {1;}' unless defined(&__UCLIBC_HAS_PTY__);
eval 'sub __ASSUME_DEVPTS__ () {1;}' unless defined(&__ASSUME_DEVPTS__);
eval 'sub __UNIX98PTY_ONLY__ () {1;}' unless defined(&__UNIX98PTY_ONLY__);
eval 'sub __UCLIBC_HAS_GETPT__ () {1;}' unless defined(&__UCLIBC_HAS_GETPT__);
eval 'sub __UCLIBC_HAS_LIBUTIL__ () {1;}' unless defined(&__UCLIBC_HAS_LIBUTIL__);
eval 'sub __UCLIBC_HAS_TM_EXTENSIONS__ () {1;}' unless defined(&__UCLIBC_HAS_TM_EXTENSIONS__);
eval 'sub __UCLIBC_HAS_TZ_CACHING__ () {1;}' unless defined(&__UCLIBC_HAS_TZ_CACHING__);
eval 'sub __UCLIBC_HAS_TZ_FILE__ () {1;}' unless defined(&__UCLIBC_HAS_TZ_FILE__);
eval 'sub __UCLIBC_HAS_TZ_FILE_READ_MANY__ () {1;}' unless defined(&__UCLIBC_HAS_TZ_FILE_READ_MANY__);
eval 'sub __UCLIBC_TZ_FILE_PATH__ () {"/etc/TZ";}' unless defined(&__UCLIBC_TZ_FILE_PATH__);
eval 'sub __UCLIBC_FALLBACK_TO_ETC_LOCALTIME__ () {1;}' unless defined(&__UCLIBC_FALLBACK_TO_ETC_LOCALTIME__);
eval 'sub __UCLIBC_PWD_BUFFER_SIZE__ () {256;}' unless defined(&__UCLIBC_PWD_BUFFER_SIZE__);
eval 'sub __UCLIBC_GRP_BUFFER_SIZE__ () {256;}' unless defined(&__UCLIBC_GRP_BUFFER_SIZE__);
eval 'sub __UCLIBC_LINUX_MODULE_26__ () {1;}' unless defined(&__UCLIBC_LINUX_MODULE_26__);
undef(&__UCLIBC_LINUX_MODULE_24__) if defined(&__UCLIBC_LINUX_MODULE_24__);
eval 'sub __UCLIBC_LINUX_SPECIFIC__ () {1;}' unless defined(&__UCLIBC_LINUX_SPECIFIC__);
eval 'sub __UCLIBC_HAS_GNU_ERROR__ () {1;}' unless defined(&__UCLIBC_HAS_GNU_ERROR__);
eval 'sub __UCLIBC_BSD_SPECIFIC__ () {1;}' unless defined(&__UCLIBC_BSD_SPECIFIC__);
eval 'sub __UCLIBC_HAS_BSD_ERR__ () {1;}' unless defined(&__UCLIBC_HAS_BSD_ERR__);
undef(&__UCLIBC_HAS_OBSOLETE_BSD_SIGNAL__) if defined(&__UCLIBC_HAS_OBSOLETE_BSD_SIGNAL__);
undef(&__UCLIBC_HAS_OBSOLETE_SYSV_SIGNAL__) if defined(&__UCLIBC_HAS_OBSOLETE_SYSV_SIGNAL__);
eval 'sub __UCLIBC_NTP_LEGACY__ () {1;}' unless defined(&__UCLIBC_NTP_LEGACY__);
undef(&__UCLIBC_SV4_DEPRECATED__) if defined(&__UCLIBC_SV4_DEPRECATED__);
eval 'sub __UCLIBC_HAS_REALTIME__ () {1;}' unless defined(&__UCLIBC_HAS_REALTIME__);
eval 'sub __UCLIBC_HAS_ADVANCED_REALTIME__ () {1;}' unless defined(&__UCLIBC_HAS_ADVANCED_REALTIME__);
eval 'sub __UCLIBC_HAS_EPOLL__ () {1;}' unless defined(&__UCLIBC_HAS_EPOLL__);
eval 'sub __UCLIBC_HAS_XATTR__ () {1;}' unless defined(&__UCLIBC_HAS_XATTR__);
undef(&__UCLIBC_HAS_PROFILING__) if defined(&__UCLIBC_HAS_PROFILING__);
eval 'sub __UCLIBC_HAS_CRYPT_IMPL__ () {1;}' unless defined(&__UCLIBC_HAS_CRYPT_IMPL__);
eval 'sub __UCLIBC_HAS_SHA256_CRYPT_IMPL__ () {1;}' unless defined(&__UCLIBC_HAS_SHA256_CRYPT_IMPL__);
eval 'sub __UCLIBC_HAS_SHA512_CRYPT_IMPL__ () {1;}' unless defined(&__UCLIBC_HAS_SHA512_CRYPT_IMPL__);
eval 'sub __UCLIBC_HAS_CRYPT__ () {1;}' unless defined(&__UCLIBC_HAS_CRYPT__);
eval 'sub __UCLIBC_HAS_NETWORK_SUPPORT__ () {1;}' unless defined(&__UCLIBC_HAS_NETWORK_SUPPORT__);
eval 'sub __UCLIBC_HAS_SOCKET__ () {1;}' unless defined(&__UCLIBC_HAS_SOCKET__);
eval 'sub __UCLIBC_HAS_IPV4__ () {1;}' unless defined(&__UCLIBC_HAS_IPV4__);
eval 'sub __UCLIBC_HAS_IPV6__ () {1;}' unless defined(&__UCLIBC_HAS_IPV6__);
eval 'sub __UCLIBC_HAS_RPC__ () {1;}' unless defined(&__UCLIBC_HAS_RPC__);
eval 'sub __UCLIBC_HAS_FULL_RPC__ () {1;}' unless defined(&__UCLIBC_HAS_FULL_RPC__);
eval 'sub __UCLIBC_HAS_REENTRANT_RPC__ () {1;}' unless defined(&__UCLIBC_HAS_REENTRANT_RPC__);
eval 'sub __UCLIBC_USE_NETLINK__ () {1;}' unless defined(&__UCLIBC_USE_NETLINK__);
eval 'sub __UCLIBC_SUPPORT_AI_ADDRCONFIG__ () {1;}' unless defined(&__UCLIBC_SUPPORT_AI_ADDRCONFIG__);
eval 'sub __UCLIBC_HAS_BSD_RES_CLOSE__ () {1;}' unless defined(&__UCLIBC_HAS_BSD_RES_CLOSE__);
eval 'sub __UCLIBC_HAS_COMPAT_RES_STATE__ () {1;}' unless defined(&__UCLIBC_HAS_COMPAT_RES_STATE__);
eval 'sub __UCLIBC_HAS_EXTRA_COMPAT_RES_STATE__ () {1;}' unless defined(&__UCLIBC_HAS_EXTRA_COMPAT_RES_STATE__);
eval 'sub __UCLIBC_HAS_RESOLVER_SUPPORT__ () {1;}' unless defined(&__UCLIBC_HAS_RESOLVER_SUPPORT__);
eval 'sub __UCLIBC_HAS_LIBRESOLV_STUB__ () {1;}' unless defined(&__UCLIBC_HAS_LIBRESOLV_STUB__);
eval 'sub __UCLIBC_HAS_LIBNSL_STUB__ () {1;}' unless defined(&__UCLIBC_HAS_LIBNSL_STUB__);
eval 'sub __UCLIBC_HAS_STRING_GENERIC_OPT__ () {1;}' unless defined(&__UCLIBC_HAS_STRING_GENERIC_OPT__);
eval 'sub __UCLIBC_HAS_STRING_ARCH_OPT__ () {1;}' unless defined(&__UCLIBC_HAS_STRING_ARCH_OPT__);
eval 'sub __UCLIBC_HAS_CTYPE_TABLES__ () {1;}' unless defined(&__UCLIBC_HAS_CTYPE_TABLES__);
eval 'sub __UCLIBC_HAS_CTYPE_SIGNED__ () {1;}' unless defined(&__UCLIBC_HAS_CTYPE_SIGNED__);
undef(&__UCLIBC_HAS_CTYPE_UNSAFE__) if defined(&__UCLIBC_HAS_CTYPE_UNSAFE__);
eval 'sub __UCLIBC_HAS_CTYPE_CHECKED__ () {1;}' unless defined(&__UCLIBC_HAS_CTYPE_CHECKED__);
undef(&__UCLIBC_HAS_CTYPE_ENFORCED__) if defined(&__UCLIBC_HAS_CTYPE_ENFORCED__);
eval 'sub __UCLIBC_HAS_WCHAR__ () {1;}' unless defined(&__UCLIBC_HAS_WCHAR__);
undef(&__UCLIBC_HAS_LOCALE__) if defined(&__UCLIBC_HAS_LOCALE__);
eval 'sub __UCLIBC_HAS_HEXADECIMAL_FLOATS__ () {1;}' unless defined(&__UCLIBC_HAS_HEXADECIMAL_FLOATS__);
eval 'sub __UCLIBC_HAS_GLIBC_CUSTOM_PRINTF__ () {1;}' unless defined(&__UCLIBC_HAS_GLIBC_CUSTOM_PRINTF__);
eval 'sub __UCLIBC_PRINTF_SCANF_POSITIONAL_ARGS__ () {9;}' unless defined(&__UCLIBC_PRINTF_SCANF_POSITIONAL_ARGS__);
undef(&__UCLIBC_HAS_STDIO_BUFSIZ_NONE__) if defined(&__UCLIBC_HAS_STDIO_BUFSIZ_NONE__);
undef(&__UCLIBC_HAS_STDIO_BUFSIZ_256__) if defined(&__UCLIBC_HAS_STDIO_BUFSIZ_256__);
undef(&__UCLIBC_HAS_STDIO_BUFSIZ_512__) if defined(&__UCLIBC_HAS_STDIO_BUFSIZ_512__);
undef(&__UCLIBC_HAS_STDIO_BUFSIZ_1024__) if defined(&__UCLIBC_HAS_STDIO_BUFSIZ_1024__);
undef(&__UCLIBC_HAS_STDIO_BUFSIZ_2048__) if defined(&__UCLIBC_HAS_STDIO_BUFSIZ_2048__);
eval 'sub __UCLIBC_HAS_STDIO_BUFSIZ_4096__ () {1;}' unless defined(&__UCLIBC_HAS_STDIO_BUFSIZ_4096__);
undef(&__UCLIBC_HAS_STDIO_BUFSIZ_8192__) if defined(&__UCLIBC_HAS_STDIO_BUFSIZ_8192__);
eval 'sub __UCLIBC_HAS_STDIO_BUILTIN_BUFFER_NONE__ () {1;}' unless defined(&__UCLIBC_HAS_STDIO_BUILTIN_BUFFER_NONE__);
undef(&__UCLIBC_HAS_STDIO_BUILTIN_BUFFER_4__) if defined(&__UCLIBC_HAS_STDIO_BUILTIN_BUFFER_4__);
undef(&__UCLIBC_HAS_STDIO_BUILTIN_BUFFER_8__) if defined(&__UCLIBC_HAS_STDIO_BUILTIN_BUFFER_8__);
undef(&__UCLIBC_HAS_STDIO_SHUTDOWN_ON_ABORT__) if defined(&__UCLIBC_HAS_STDIO_SHUTDOWN_ON_ABORT__);
eval 'sub __UCLIBC_HAS_STDIO_GETC_MACRO__ () {1;}' unless defined(&__UCLIBC_HAS_STDIO_GETC_MACRO__);
eval 'sub __UCLIBC_HAS_STDIO_PUTC_MACRO__ () {1;}' unless defined(&__UCLIBC_HAS_STDIO_PUTC_MACRO__);
eval 'sub __UCLIBC_HAS_STDIO_AUTO_RW_TRANSITION__ () {1;}' unless defined(&__UCLIBC_HAS_STDIO_AUTO_RW_TRANSITION__);
eval 'sub __UCLIBC_HAS_FOPEN_LARGEFILE_MODE__ () {1;}' unless defined(&__UCLIBC_HAS_FOPEN_LARGEFILE_MODE__);
eval 'sub __UCLIBC_HAS_FOPEN_EXCLUSIVE_MODE__ () {1;}' unless defined(&__UCLIBC_HAS_FOPEN_EXCLUSIVE_MODE__);
eval 'sub __UCLIBC_HAS_FOPEN_CLOSEEXEC_MODE__ () {1;}' unless defined(&__UCLIBC_HAS_FOPEN_CLOSEEXEC_MODE__);
eval 'sub __UCLIBC_HAS_GLIBC_CUSTOM_STREAMS__ () {1;}' unless defined(&__UCLIBC_HAS_GLIBC_CUSTOM_STREAMS__);
eval 'sub __UCLIBC_HAS_PRINTF_M_SPEC__ () {1;}' unless defined(&__UCLIBC_HAS_PRINTF_M_SPEC__);
eval 'sub __UCLIBC_HAS_ERRNO_MESSAGES__ () {1;}' unless defined(&__UCLIBC_HAS_ERRNO_MESSAGES__);
eval 'sub __UCLIBC_HAS_SYS_ERRLIST__ () {1;}' unless defined(&__UCLIBC_HAS_SYS_ERRLIST__);
eval 'sub __UCLIBC_HAS_SIGNUM_MESSAGES__ () {1;}' unless defined(&__UCLIBC_HAS_SIGNUM_MESSAGES__);
eval 'sub __UCLIBC_HAS_SYS_SIGLIST__ () {1;}' unless defined(&__UCLIBC_HAS_SYS_SIGLIST__);
eval 'sub __UCLIBC_HAS_GNU_GETOPT__ () {1;}' unless defined(&__UCLIBC_HAS_GNU_GETOPT__);
eval 'sub __UCLIBC_HAS_STDIO_FUTEXES__ () {1;}' unless defined(&__UCLIBC_HAS_STDIO_FUTEXES__);
eval 'sub __UCLIBC_HAS_GNU_GETSUBOPT__ () {1;}' unless defined(&__UCLIBC_HAS_GNU_GETSUBOPT__);
eval 'sub __UCLIBC_HAS_REGEX__ () {1;}' unless defined(&__UCLIBC_HAS_REGEX__);
eval 'sub __UCLIBC_HAS_REGEX_OLD__ () {1;}' unless defined(&__UCLIBC_HAS_REGEX_OLD__);
eval 'sub __UCLIBC_HAS_FNMATCH__ () {1;}' unless defined(&__UCLIBC_HAS_FNMATCH__);
eval 'sub __UCLIBC_HAS_FNMATCH_OLD__ () {1;}' unless defined(&__UCLIBC_HAS_FNMATCH_OLD__);
eval 'sub __UCLIBC_HAS_WORDEXP__ () {1;}' unless defined(&__UCLIBC_HAS_WORDEXP__);
eval 'sub __UCLIBC_HAS_NFTW__ () {1;}' unless defined(&__UCLIBC_HAS_NFTW__);
eval 'sub __UCLIBC_HAS_FTW__ () {1;}' unless defined(&__UCLIBC_HAS_FTW__);
eval 'sub __UCLIBC_HAS_FTS__ () {1;}' unless defined(&__UCLIBC_HAS_FTS__);
eval 'sub __UCLIBC_HAS_GLOB__ () {1;}' unless defined(&__UCLIBC_HAS_GLOB__);
eval 'sub __UCLIBC_HAS_GNU_GLOB__ () {1;}' unless defined(&__UCLIBC_HAS_GNU_GLOB__);
eval 'sub __UCLIBC_HAS_UTMPX__ () {1;}' unless defined(&__UCLIBC_HAS_UTMPX__);
eval 'sub __RUNTIME_PREFIX__ () {"/";}' unless defined(&__RUNTIME_PREFIX__);
eval 'sub __DEVEL_PREFIX__ () {"/usr";}' unless defined(&__DEVEL_PREFIX__);
eval 'sub __MULTILIB_DIR__ () {"lib";}' unless defined(&__MULTILIB_DIR__);
eval 'sub __HARDWIRED_ABSPATH__ () {1;}' unless defined(&__HARDWIRED_ABSPATH__);
eval 'sub __UCLIBC_BUILD_PIE__ () {1;}' unless defined(&__UCLIBC_BUILD_PIE__);
eval 'sub __UCLIBC_HAS_ARC4RANDOM__ () {1;}' unless defined(&__UCLIBC_HAS_ARC4RANDOM__);
eval 'sub __UCLIBC_HAS_SSP__ () {1;}' unless defined(&__UCLIBC_HAS_SSP__);
undef(&__UCLIBC_HAS_SSP_COMPAT__) if defined(&__UCLIBC_HAS_SSP_COMPAT__);
undef(&__SSP_QUICK_CANARY__) if defined(&__SSP_QUICK_CANARY__);
undef(&__PROPOLICE_BLOCK_ABRT__) if defined(&__PROPOLICE_BLOCK_ABRT__);
eval 'sub __PROPOLICE_BLOCK_SEGV__ () {1;}' unless defined(&__PROPOLICE_BLOCK_SEGV__);
eval 'sub __UCLIBC_BUILD_SSP__ () {1;}' unless defined(&__UCLIBC_BUILD_SSP__);
eval 'sub __UCLIBC_BUILD_RELRO__ () {1;}' unless defined(&__UCLIBC_BUILD_RELRO__);
eval 'sub __UCLIBC_BUILD_NOW__ () {1;}' unless defined(&__UCLIBC_BUILD_NOW__);
eval 'sub __UCLIBC_BUILD_NOEXECSTACK__ () {1;}' unless defined(&__UCLIBC_BUILD_NOEXECSTACK__);
eval 'sub __CROSS_COMPILER_PREFIX__ () {"";}' unless defined(&__CROSS_COMPILER_PREFIX__);
eval 'sub __UCLIBC_EXTRA_CFLAGS__ () {"";}' unless defined(&__UCLIBC_EXTRA_CFLAGS__);
undef(&__DODEBUG__) if defined(&__DODEBUG__);
eval 'sub __DOSTRIP__ () {1;}' unless defined(&__DOSTRIP__);
undef(&__DOASSERTS__) if defined(&__DOASSERTS__);
undef(&__SUPPORT_LD_DEBUG__) if defined(&__SUPPORT_LD_DEBUG__);
undef(&__SUPPORT_LD_DEBUG_EARLY__) if defined(&__SUPPORT_LD_DEBUG_EARLY__);
undef(&__UCLIBC_MALLOC_DEBUGGING__) if defined(&__UCLIBC_MALLOC_DEBUGGING__);
eval 'sub __UCLIBC_HAS_BACKTRACE__ () {1;}' unless defined(&__UCLIBC_HAS_BACKTRACE__);
eval 'sub __WARNINGS__ () {"-Wall";}' unless defined(&__WARNINGS__);
undef(&__EXTRA_WARNINGS__) if defined(&__EXTRA_WARNINGS__);
undef(&__DOMULTI__) if defined(&__DOMULTI__);
undef(&__UCLIBC_MJN3_ONLY__) if defined(&__UCLIBC_MJN3_ONLY__);
1;
